# Class ObjectInstance

java.lang.Object
javax.management.ObjectInstance

All Implemented Interfaces:
  `Serializable`

public class ObjectInstance extends Object implements Serializable
Used to represent the object name of an MBean and its class name. If the MBean is a Dynamic MBean the class name should be retrieved from the `MBeanInfo` it provides.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ObjectInstance(String objectName, String className)`
Allows an object instance to be created given a string representation of an object name and the full class name, including the package name.
`ObjectInstance(ObjectName objectName, String className)`
Allows an object instance to be created given an object name and the full class name, including the package name.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
Compares the current object instance with another object instance.
`String`
`getClassName()`
Returns the class part.
`ObjectName`
`getObjectName()`
Returns the object name part.
`String`
`toString()`
Returns a string representing this ObjectInstance object.

### Methods declared in class Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### ObjectInstance

public ObjectInstance(String objectName, String className) throws MalformedObjectNameException
Allows an object instance to be created given a string representation of an object name and the full class name, including the package name.

Parameters:
  `objectName` - A string representation of the object name.
  `className` - The full class name, including the package name, of the object instance. If the MBean is a Dynamic MBean the class name corresponds to its `getMBeanInfo()``.getClassName()`.
Throws:
  `MalformedObjectNameException` - The string passed as a parameter does not have the right format.

### ObjectInstance

public ObjectInstance(ObjectName objectName, String className)
Allows an object instance to be created given an object name and the full class name, including the package name.

Parameters:
  `objectName` - The object name.
  `className` - The full class name, including the package name, of the object instance. If the MBean is a Dynamic MBean the class name corresponds to its `getMBeanInfo()``.getClassName()`. If the MBean is a Dynamic MBean the class name should be retrieved from the `MBeanInfo` it provides.

## Method Details

### equals

public boolean equals(Object object)
Compares the current object instance with another object instance.

Overrides:
  `equals` in class `Object`
Parameters:
  `object` - The object instance that the current object instance is to be compared with.
Returns:
  True if the two object instances are equal, otherwise false.
See Also:
  - `Object.hashCode()`
  - `HashMap`

### getObjectName

public ObjectName getObjectName()
Returns the object name part.

Returns:
  the object name.

### getClassName

public String getClassName()
Returns the class part.

Returns:
  the class name.

### toString

public String toString()
Returns a string representing this ObjectInstance object. The format of this string is not specified, but users can expect that two ObjectInstances return the same string if and only if they are equal.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the object